aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xTools/portbuild/scripts/getmachine4
1 files changed, 4 insertions, 0 deletions
diff --git a/Tools/portbuild/scripts/getmachine b/Tools/portbuild/scripts/getmachine
index 849d300e6270..2cc940408a81 100755
--- a/Tools/portbuild/scripts/getmachine
+++ b/Tools/portbuild/scripts/getmachine
@@ -37,6 +37,10 @@ fi
# Choose highest-priority machine that is free
mach=$(echo ${mach} | tr -s ' ' '\n' | grep -F -f - ${pb}/${arch}/mlist | head -1)
+if [ -z "${mach}" ]; then
+ rm -f "${mach}"
+ exit 1
+fi
. ${pb}/${arch}/portbuild.conf
test -f ${pb}/${arch}/portbuild.${mach} && . ${pb}/${arch}/portbuild.${mach}